import java.awt.*;

public class ShowText extends java.applet.Applet {
    public String  message = null;

    public void init() {
    	String textVal = getParameter("message");
    	setMessage(textVal);
    	setFont(new Font("TimesRoman",Font.ITALIC | Font.BOLD,36));
    }

    public void paint(Graphics g) {
        g.setColor(Color.gray);
    	g.drawString(message,20, 45);
        g.setColor(Color.black);
    	g.drawString(message,17, 40);
    }


    /**
     * getMessage is the getter method for the message property
     */
    public String getMessage() {
        return message;
    }

    /**
     * setMessage is the setter method for the message property
     */
    public void setMessage(String newVal) {
        message = newVal;
    	if (message == null) {
    	    message = "Netscape";
    	}
    	repaint();
    }

}

